Subject: Need advice: turning Titanium

From: [email-masked] ()
Date: 15 Apr 1995 17:33:00 GMT

Howdy, all! I'm going to turn up some titanium valves in two 
sections: the shank and the valve itself. They will be fuzed together 
later with TIG in an argon bath as per instructions from my steam Guru. 
What I *don't* know is what kind of coating on a tool will work best for 
this material. I've got some carbide inserts, but was wondering if it 
wouldn't be better to go to TiN or CBN. Suggestions appreciated.

--
"Steamboat Ed" Haas		:	Co-founder of the 
Voice: 805-968-7534		:	    SBSMEEBBQ
FAX:   805-JOB-TWAT		:	-Call about our Newsletter!
	--------Decks a-wash in a sea of words!!--------